- Qt 6.4
- Qt Charts
- C++ Classes
- QPieLegendMarker
- Qt Charts | Commercial or GPLv3

# QPieLegendMarker Class

The QPieLegendMarker class is a legend marker for a pie series. More...

Header: | #include <QPieLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QPieLegendMarker()
QPieSlice * | slice()

## Reimplemented Public Functions

virtual QPieSeries * | series() override
virtual QLegendMarker::LegendMarkerType | type() override

## Detailed Description

A pie legend marker is related to QPieSeries. With a pie series, each slice of the pie is related to one marker in the legend.

See also QLegend, QPieSeries, and QPieSlice.

## Member Function Documentation

### `[virtual]` QPieLegendMarker::~QPieLegendMarker()

Removes the legend marker for a pie series.

### `[override virtual]` QPieSeries *QPieLegendMarker::series()

Reimplements: QLegendMarker::series().

### QPieSlice *QPieLegendMarker::slice()

Returns the slice of the pie related to the marker.

### `[override virtual]` QLegendMarker::LegendMarkerType QPieLegendMarker::type()

Reimplements: QLegendMarker::type().